Bug 1145738 - (CVE-2019-10098) VUL-1: CVE-2019-10098: apache2: mod_rewrite configurations vulnerable to open redirect
(CVE-2019-10098)
VUL-1: CVE-2019-10098: apache2: mod_rewrite configurations vulnerable to open...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/239795/
maint:released:sle10-sp3:64348 CVSSv3...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-15 11:57 UTC by Robert Frohl
Modified: 2021-01-12 12:15 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-08-15 11:57:42 UTC
CVE-2019-10098: mod_rewrite configurations vulnerable to open redirect

Severity: Low
Vendor: The Apache Software Foundation
Versions Affected:
httpd 2.4.0 to 2.4.39

Description:
Redirects configured with mod_rewrite that were intended to be self-referential
might be fooled by encoded newlines and redirect instead to an an unexpected 
URL within the request URL.
    
Mitigation:
Anchor captures used as back-references, prefix self-referential redirects with
/ or scheme, host, and port.

Credit:
The issue was discovered by Yukitsugu Sasaki 

References:
https://httpd.apache.org/security/vulnerabilities_24.html
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-10098
http://seclists.org/oss-sec/2019/q3/141
Comment 2 Petr Gajdos 2019-08-22 11:30:23 UTC
Will be submitted for:
15,12sp2,12sp1/apache2
11sp1,10sp3/apache2 -- hardcoding PCRE_DOTALL and PCRE_DOLLAR_ENDONLY in ap_regcomp(), beaware
Comment 3 Petr Gajdos 2019-08-22 13:38:03 UTC
home:pgajdos:apache-test:after looks good; there is just apache-rex/mod_authn_dbd-mysql which is however unrelated and happens even before and I need to investigate later.

Packages submitted.

I believe all fixed.
Comment 5 Swamp Workflow Management 2019-08-28 13:15:46 UTC
SUSE-SU-2019:2237-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1145575,1145738,1145739,1145740,1145741,1145742
CVE References: CVE-2019-10081,CVE-2019-10082,CVE-2019-10092,CVE-2019-10097,CVE-2019-10098,CVE-2019-9517
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    apache2-2.4.33-3.21.1
SUSE Linux Enterprise Module for Server Applications 15 (src):    apache2-2.4.33-3.21.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    apache2-2.4.33-3.21.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    apache2-2.4.33-3.21.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-09-02 16:19:18 UTC
openSUSE-SU-2019:2051-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1145575,1145738,1145739,1145740,1145741,1145742
CVE References: CVE-2019-10081,CVE-2019-10082,CVE-2019-10092,CVE-2019-10097,CVE-2019-10098,CVE-2019-9517
Sources used:
openSUSE Leap 15.1 (src):    apache2-2.4.33-lp151.8.6.1
openSUSE Leap 15.0 (src):    apache2-2.4.33-lp150.2.23.1
Comment 7 Swamp Workflow Management 2019-09-06 12:59:34 UTC
An update workflow for this issue was started.
This issue was rated as low.
Please submit fixed packages until 2019-10-04.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/64347
Comment 8 Swamp Workflow Management 2019-09-06 19:12:12 UTC
SUSE-SU-2019:2329-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1145575,1145738,1145740,1145741,1145742
CVE References: CVE-2019-10081,CVE-2019-10082,CVE-2019-10092,CVE-2019-10098,CVE-2019-9517
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    apache2-2.4.23-29.43.1
SUSE Linux Enterprise Server 12-SP4 (src):    apache2-2.4.23-29.43.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Wolfgang Frisch 2020-04-02 15:23:09 UTC
The fix for this vulnerability appears to be incomplete.
From the most recent release notes:

>Changes with Apache 2.4.43
> 
>  *) SECURITY: CVE-2020-1927 (cve.mitre.org)
>     rewrite, core: Set PCRE_DOTALL flag by default to avoid unpredictable
>     matches and substitutions with encoded line break characters.
>     The fix for CVE-2019-10098 was not effective.  [Ruediger Pluem]
Comment 11 Alexandros Toptsoglou 2020-08-04 07:56:45 UTC
Done